Dependencies
============

```bash
sudo apt-get install build-essential debhelper cmake libvlc-dev libproxy-dev libpoppler-qt4-dev libqt4-dev libqtwebkit-dev
```

Build
=====

Release
-------

To build in release:

```bash
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Release ..
make
```

With debug
----------

To build in debug:

```bash
mkdir debug
cd debug
cmake -DCMAKE_BUILD_TYPE=Debug ..
make
```

Run
===

settings
--------

To run setting program:

```bash
sudo ./bin/linutop-kiosk-settings
```

kiosk
-----
To run the main app:

```bash
sudo ./bin/linutop-kiosk
```

Debug
=====

When compiling in debug, the remote controller server used is the one
of the repository. In release, it use the one of the system.

To see the remote controller log, use the following command:

```bash
tail -f /var/log/linutop-remote/log.txt
```

THE END
