#ifndef CLEANSER_H
#define CLEANSER_H

#include <QDir>
#include <QObject>

#include "settings.h"

class Cleanser : public QObject
{
    Q_OBJECT

public:
    explicit Cleanser(Settings *settings, QObject *parent = 0);
    void check();

private:
    void clean();
    Settings *settings;
    QDir m_etagDir, m_cacheDir;
    QStringList m_toClean;
};

#endif // CLEANSER_H
